Skip to main content
POST
/
v1
/
reconciliation
/
discrepancies
/
{id}
/
resolve
Resolve a discrepancy
curl --request POST \
  --url https://api.getsly.ai/v1/v1/reconciliation/discrepancies/{id}/resolve \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "resolution": "adjusted",
  "note": "<string>",
  "adjustment_entry_id": "<string>"
}
'
{
  "data": {
    "id": "<string>",
    "report_id": "<string>",
    "type": "ledger_only",
    "created_at": "2023-11-07T05:31:56Z",
    "ledger_entry_id": "<string>",
    "rail_entry_id": "<string>",
    "delta_cents": 123,
    "resolution": "adjusted",
    "resolution_note": "<string>",
    "resolved_at": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.getsly.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key (pk_test_* or pk_live_), JWT session, agent token (agent_), Ed25519 session (sess_), or portal token (portal_).

Path Parameters

id
string
required

Body

application/json
resolution
enum<string>
required
Available options:
adjusted,
written_off,
chasing,
no_action
note
string
Maximum string length: 1000
adjustment_entry_id
string

Response

200 - application/json

Resolved

data
object
required